using InABox.Core;

namespace InABox.Rpc
{
    public class RpcPingHandler : RpcCommandHandler<IRpcServer, RpcPingCommand, RpcPingParameters, RpcPingResult> 
    {
        protected override RpcPingResult Execute(IRpcSession session, RpcPingParameters? parameters, Logger logger)
        {
            return new RpcPingResult();
        }

        public RpcPingHandler(IRpcServer sender) : base(sender)
        {
        }
    }
}